Bug 204909 - valgrind warning on dlsym of non-existing symbol
Summary: valgrind warning on dlsym of non-existing symbol
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-01 09:37 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.4.90-29
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 09:04:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Caolan McNamara 2006-09-01 09:37:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060830 Fedora/1.5.0.6-9 Firefox/1.5.0.6 pango-text

Description of problem:
#include <dlfcn.h>
int main(void)
{
        void *handle;
        handle = dlopen ("libm.so", RTLD_LAZY);
        dlsym(handle, "foobpe");
        dlclose(handle);
        return 0;
}


Version-Release number of selected component (if applicable):
glibc-2.4.90-26

How reproducible:
Always


Steps to Reproduce:
1. compile above -ldl
2. valgrind ./a.out

Actual Results:
==11913== Conditional jump or move depends on uninitialised value(s)
==11913==    at 0xA1C655: do_lookup_x (in /lib/ld-2.4.90.so)
==11913==    by 0xA1C96F: _dl_lookup_symbol_x (in /lib/ld-2.4.90.so)
==11913==    by 0xB353E2: do_sym (in /lib/libc-2.4.90.so)
==11913==    by 0xB35649: _dl_sym (in /lib/libc-2.4.90.so)
==11913==    by 0xB990A7: dlsym_doit (in /lib/libdl-2.4.90.so)
==11913==    by 0xA20B15: _dl_catch_error (in /lib/ld-2.4.90.so)
==11913==    by 0xB9956B: _dlerror_run (in /lib/libdl-2.4.90.so)
==11913==    by 0xB99032: dlsym (in /lib/libdl-2.4.90.so)
==11913==    by 0x804845E: main (in /home/caolan/a.out)

Expected Results:


Additional info:

Comment 1 Jakub Jelinek 2006-09-04 20:45:51 UTC
Ulrich fixed this in CVS, will show up in next rawhide build.


Note You need to log in before you can comment on or make changes to this bug.